> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an SMS Verification

Updates an ongoing EntityVerificationSession for an Entity to verify their phone via Method's SMS verification process.

The Entity will provide the SMS code that was sent to their phone number to complete the verification process.

## Path Parameters

## Body

## Returns

Returns an Entity's verification session object.

```bash cURL theme={null}
curl https://production.methodfi.com/entities/ent_au22b1fbFJbp8/verification_sessions/evf_3VT3bHTCnPbrm \
  -X PUT \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "phone",
    "method": "sms",
    "sms": {
      "sms_code": "884134"
    }
  }'
```

```javascript Node.js theme={null}
const response = await method
  .entities("ent_au22b1fbFJbp8")
  .verificationSessions
  .update("evf_3VT3bHTCnPbrm", {
    type: "phone",
    method: "sms",
    sms: { sms_code: "884134" },
  });
```

```python Python theme={null}
response = method
  .entities('ent_au22b1fbFJbp8')
  .verification_sessions
  .update('evf_3VT3bHTCnPbrm', {
    'type': 'phone',
    'method': 'sms',
    'sms': { 'sms_code': '884134'}
  })
```

```json Response theme={null}
{
  "id": "evf_3VT3bHTCnPbrm",
  "entity_id": "ent_au22b1fbFJbp8",
  "status": "verified",
  "type": "phone",
  "method": "sms",
  "sms": {
    "timestamp": "2024-04-10T16:42:03.751Z"
  },
  "error": null,
  "created_at": "2024-04-10T16:40:16.283Z",
  "updated_at": "2024-04-10T16:40:16.283Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.